package com.jy.system.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jy.system.model.dto.SysDictDataDto;
import com.jy.system.model.dto.SysDictDataSelectDto;
import com.jy.system.model.vo.SysDictDataCacheVo;
import com.jy.system.model.vo.SysDictDataVo;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 字典数据 服务类
 * </p>
 *
 * @author
 * @since 2024-06-20
 */
public interface SysDictDataService {

    /**
     * 字典数据分页
     */
    Page<SysDictDataVo> getPage(SysDictDataSelectDto dto);

    /**
     * 字典数据明细
     */
    SysDictDataVo getDetail(Long id);

    /**
     * 字典数据新增
     */
    void add(SysDictDataDto dto);

    /**
     * 字典数据编辑
     */
    void edit(SysDictDataDto dto);

    /**
     * 字典数据删除
     */
    void delete(List<Long> idList);

    /**
     * 通过字典类型获取明细列表
     */
    List<SysDictDataCacheVo> getListByCode(String code);

    Map<Integer,String> getMapByCode(String code);

}
